# Get the offer payout tier

| HTTP method | Endpoint                     |
| ----------- | ---------------------------- |
| **GET**     | **/v1/offer\_payout\_tiers** |

## Query string parameters <a href="#query-string-parameters" id="query-string-parameters"></a>

| Conditions | Parameters   | Type    | Description                                                                                                                                                               |
| ---------- | ------------ | ------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Offset     | offset       | offset  | Check page scale.                                                                                                                                                         |
| Limit      | limit        | limit   | The number of date displays in each page. **Maximum = 1000**                                                                                                              |
| Sort       | sort         | sort    | Ranking according to the specified field ascending "+", or descending "-".                                                                                                |
| Filters    | filters      | filter  | Query requirements of Specify field.                                                                                                                                      |
|            |              |         | EQUAL\_TO    NOT\_EQUAL\_TO    LESS\_THAN    LESS\_THAN\_OR\_EQUAL\_TO    GREATER\_THAN    GREATER\_THAN\_OR\_EQUAL\_TO    CONTAINS    NOT\_CONTAINS    NULL    NOT\_NULL |
| Fields     | fields       | field   | You can choose the field of the query (the result of the query is in line with the selected field).                                                                       |
|            | id           | integer | Offer payout tier id.                                                                                                                                                     |
|            | name         | string  | Offer pool name.                                                                                                                                                          |
|            | description  | string  | The offer payout tier description.                                                                                                                                        |
|            | create\_time | integer | Create time.                                                                                                                                                              |
|            | update\_time | integer | Update time.                                                                                                                                                              |

## Response body parameters <a href="#response-body-parameters-2" id="response-body-parameters-2"></a>

| Field        | Type    | Description                                                                                                        |
| ------------ | ------- | ------------------------------------------------------------------------------------------------------------------ |
| id           | integer | Offer payout tier id.                                                                                              |
| name         | string  | Offer pool name.                                                                                                   |
| description  | string  | The offer payout tier description.                                                                                 |
| create\_time | integer | Create time.                                                                                                       |
| update\_time | integer | Update time.                                                                                                       |
| totalPages   | integer | The list of data pages (associated with your limit).                                                               |
| totalRows    | integer | Total number of available data.                                                                                    |
| offset       | integer | The number of records from a collection to skip. Iterating over large collections with this parameter can be slow. |
| limit        | integer | The number of data displayed on one page.                                                                          |

## Example request <a href="#example-request-2" id="example-request-2"></a>

**Request GET** <https://{networkname}.api.offerslook.com/v1/offer_payout_tiers?sort=+id&limit=2&offset=2&fields=id,name,description&filters=[id][LESS_THAN]=8>

**Request GET** <http://{networkname}.api.offerslook.com/v1/offer_payout_tiers?sort=+id&limit=2&offset=2&fields=id,name,description&filters=[id][LESS_THAN]=8>

## Example response <a href="#example-response-2" id="example-response-2"></a>

```
    {
      "code": 0,
      "message": "Success",
      "data": {
        "rowset": [
          {
            "id": 3,
            "name": "TEST",
            "description": "This is a test !"
          },
          {
            "id": 4,
            "name": "Demo",
            "description": "This is a demo !"
          }
        ],
        "totalPages": 7,
        "totalRows": 13,
        "offset": 2,
        "limit": 2
      }
    }
```
